"use strict";
/** This function is adapted from https://github.com/sindresorhus/ts-extras.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.assertError = void 0;
const { toString } = Object.prototype;
// Modified to add optional `code` property.
function assertError(value) {
    if (!(value instanceof Error || toString.call(value) === '[object Error]')) {
        throw new TypeError(`Expected an \`Error\`, got \`${JSON.stringify(value)}\` (${typeof value})`);
    }
}
exports.assertError = assertError;
